Subject: Re: [External] : bug#64868: 29.1; C-x O binding suggestion for (other-window -1)

From: Van Ly <[email-masked]>
Date: Wed, 2 Aug 2023 16:25:00 GMT

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Thread-Topic: [External] : bug#64868: 29.1; C-x O binding suggestion for
>  (other-window -1)
> Thread-Index: AQHZxUJwcO0Jo4uOwUSm01YOR7OuKq/XDVQg
> Date: Wed, 2 Aug 2023 14:26:49 +0000
> Accept-Language: en-US
> Content-Language: en-US
> Content-Type: text/plain; charset="us-ascii"
> 
> > I found a better mapping than C-x o,
> >  C-x <up> for other-window in the other direction
> >  C-x <down> for other-window
> > works well with C-x <left>/<right>
> 
> Again, no, please.  Bind these for yourself,
> if you like.  There's no reason to add them
> as default key bindings.
> 

Well I apologise if I
suggested to change default
bindings.

I think an improvement is to
have the capability to switch
to the other window in the
other direction.  I see
keybindings like visual
themes the end user can mix
and match without too much
effort.

> > A lot of mentions on the Internet say Emacs's drawback is the need to
> > customize it because the defaults are quirky from a different time
> > before keyboard commoditification.
> 
> Yes, well, binding C-x up/down by default,
> as you suggest, just adds two more quirky
> defaults.
> 

The default is unused.

> Quirky and convenient are in the eyes of
> the beholder.  Emacs lets you _easily_
> get whatever key bindings you like.
> 
> Circulez. Il n'y a rien a voir.
> 
> > > we should not give this command a key binding
> > > at all, not by default.  There's no need, since
> > > you can easily do it for you
>     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > > without changing any default bindings.
> > 
> > Repeating several C-u -1 C-x o is suboptimal for me.
> 
> "For me."  That's the point.  What's optimal
> for user X isn't what user Y wants.
> 
> Fortunately, both user X and user Y can get
> what they want, _trivially_.  Neither X nor
> Y need to have their preferences be imposed
> on others as default bindings.
> 
> "Tell Emacs" what You want, for Yourself,
> and your wish is Emacs's command.  Immediate,
> simple; done.
> 

So make it possible to toggle
in keybinding ``overlays''.

I have lived without wanting
to do the

 C-u -1 C-x o

for as long as I can remember
and put off figuring how to
make access easier.